#ifndef PREPROCESSORVIEW_H
#define PREPROCESSORVIEW_H

#include <QObject>
#include <QStringList>

namespace KTextEditor
{
		class View;
		class Document;
}

class PreprocessorView : public QObject
{
		Q_OBJECT
		public:
				PreprocessorView(QObject* parent, bool showIncludedFiles);
				~PreprocessorView();
		private slots:
				void addLines(const QStringList& output);
				void addErrorLines(const QStringList& output);
				void completed();
				void failed();
				void deleteMe();
		private:
				enum { WithIncludedFiles, InFile, InAnotherFile } state;
				KTextEditor::Document *document;
				KTextEditor::View *view;
				QString file;
};

#endif
